Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 447828 - app-portage/mirrorselect-2.2.0-r1 Active version of CPython 3 is not supported by app-portage/mirrorselect-2.2.0-r1
Summary: app-portage/mirrorselect-2.2.0-r1 Active version of CPython 3 is not supporte...
Status: RESOLVED CANTFIX
Alias: None
Product: Portage Development
Classification: Unclassified
Component: Core - Dependencies (show other bugs)
Hardware: AMD64 Linux
: Normal normal (vote)
Assignee: Portage Tools Team
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-12-19 14:26 UTC by Robert Malek
Modified: 2012-12-20 00:28 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Robert Malek 2012-12-19 14:26:52 UTC
Set Main Active Python to 3.1 and try to emerge app-portage/mirrorselect-2.2.0-r1
It shows that Active version of CPython 3 is not supported, but in the ebuild is no python-dep / USE-Flag.
Comment 1 Robert Malek 2012-12-19 14:28:25 UTC
Portage 2.1.11.38 (default/linux/amd64/10.0/desktop/kde, gcc-4.6.3, glibc-2.16.0, 3.7.0-gentoo x86_64)
=================================================================
System uname: Linux-3.7.0-gentoo-x86_64-Intel-R-_Core-TM-2_Duo_CPU_T9300_@_2.50GHz-with-gentoo-2.2
Timestamp of tree: Wed, 19 Dec 2012 13:30:01 +0000
ld GNU ld (GNU Binutils) 2.23.1
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 3.1.8 [disabled]
app-shells/bash:          4.2_p39-r1
dev-java/java-config:     2.1.12-r1
dev-lang/python:          2.6.8-r1, 2.7.3-r3, 3.1.5-r1, 3.2.3-r2
dev-util/ccache:          3.1.8
dev-util/cmake:           2.8.10.2
dev-util/pkgconfig:       0.27.1
sys-apps/baselayout:      2.2
sys-apps/openrc:          0.11.8
sys-apps/sandbox:         2.6
sys-devel/autoconf:       2.13, 2.69
sys-devel/automake:       1.8.5-r4, 1.9.6-r3, 1.10.3, 1.11.6, 1.12.6
sys-devel/binutils:       2.23.1
sys-devel/gcc:            4.6.3
sys-devel/gcc-config:     1.8
sys-devel/libtool:        2.4.2
sys-devel/make:           3.82-r4
sys-kernel/linux-headers: 3.6 (virtual/os-headers)
sys-libs/glibc:           2.16.0
Repositories: gentoo vdr-devel tryton x-ODROID own
ACCEPT_KEYWORDS="amd64 ~amd64"
ACCEPT_LICENSE="*"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=core2 -mtune=core2 -O2 -pipe -fomit-frame-pointer"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /usr/share/gnupg/qualified.txt /usr/share/openvpn/easy-rsa /usr/share/polkit-1/actions /var/bind /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c"
CXXFLAGS="-march=core2 -mtune=core2 -O2 -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--autounmask=n"
FCFLAGS="-O2 -pipe"
FEATURES="assume-digests binpkg-logs candy config-protect-if-modified distlocks ebuild-locks fixlafiles merge-sync news parallel-fetch protect-owned sandbox sfperms strict unknown-features-warn unmerge-logs unmerge-orphans userfetch xattr"
FFLAGS="-O2 -pipe"
GENTOO_MIRRORS="ftp://de-mirror.org/gentoo/ http://de-mirror.org/gentoo/ rsync://de-mirror.org/gentoo/ ftp://ftp.uni-erlangen.de/pub/mirrors/gentoo"
LANG="de_DE.UTF-8"
LDFLAGS="-Wl,-O1 -Wl,--as-needed"
MAKEOPTS="-j3"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --human-readable --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/var/lib/layman/vdr-devel /var/lib/layman/tryton /home/ODROID /home/own"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="3G 64bit 7zip PYTHON X a52 aac aalib acl acpi action_modeswitch ads akonadi alisp alsa amarok amd64 amrnb apache2 apm aqua_theme archive asf aspell assistant atm audiofile autoipd automap autotrace avahi bash-completion berkdb bidi binary-drivers blender blender-game bluetooth boost branding bzip2 cairo calendar caps ccache cdaudio cdb cdda cddb cdio cdparanoia cdr cdrkit cdrom cdrtools cgi chroot cleartype cli clucene colordiff compact compat compress compressed-lumas compression connection-sharing consolekit corefonts cracklib crypt css ctype cuda cups custom-cflags cxx daap dar64 dbi dbus dc1394 declarative dell desktopglobe devfs-compat device-mapper dga dhclient digitalradio dirac disk-partition diskio divx dmx dri dts dv dvb dvbplayer dvbsetup dvd dvdarchive dvdchapjump dvdnav dvdr dvdread edd eix elf emboss emerald emovix enca encode exif extensible extras faac faad fam fasttrack fat fbcondecor fbsplash ffmpeg fftw filter firefox firefox3 flac flash fontconfig fontforge freetds ftp fts3 fuse garmin gcj gd gdbm ggi gif gimp git glibc-compat20 glibc-omitfp glitz gmp gnutella gnutls google google-gadgets googledrive goom gpac gphoto2 gpm graphite graphviz grub gsm gstreamer gtkstyle gzip hddtemp hdri howl-compat hpcups i18n iconv icu id3 id3tag ieee1394 imagemagick imap immqt-bc inotify ios ipod iptv ipv6 jabber java java5 java6 javascript jbig joystick jpeg jpeg2k kde kde4 keepsrc kernel-patch kipi ladspa lame laptop lastfm lastfmradio latin1 lcms ldap ldb libgig libmms libnotify libsamplerate libvisual linuxthreads-tls live livebuffer lm_sensors lnbshare lnbsharing logrotate lzma lzo mad madwifi matroska md5sum mdev mdnsresponder-compat meanwhile mem-scramble menuorg mercurial messenger metric mfd-rewrites mikmod mixer mjpeg mmap mms mmx mmxext mng mod modplug module modules mono mouse mozembed mozilla mp2 mp3 mp3rtp mp3tunes mp4 mp4live mpd mpeg mpeg2 mpi mpi-threads mplayer mpls msn mtp mudflap multilib multimedia musepack music musicbrainz mysql nat ncurses nemesi netboot netjack network networkmanager new-interface newt nforce2 nfs nfsdcld nfsidmap nfsv3 nfsv4 nfsv41 njb nls nptl nsplugin nspr ntfs ntfs-3g ntfs3g ntp nuv nvcontrol nvidia nvram obex objc objc++ odbc ogg ogg123 okular openexr opengl openvpn optimisememory oscar pam pango pch pcmcia pcre pdf pentium pgo phonon pic pixmaps plasma playdar player plugins pm-utils pmu png pnm podcast policykit posix postgres postproc povray powerkadu ppds ppp pppd pptp prediction private-headers ps pvr pyste python python3 qalculate qscintilla qt-faststart qt3support qt4 qthelp qtscript quicktime qwt radio radius rar readline realmedia redeyes reiser4 reiserfs remoteosd resolvconf rpm rss sage samba scanfolder scanner schroedinger sdl secure-delete semantic-desktop sendmail serial server session skins skype slp smbclient smbsharemodes smp sms smux sndfile snmp sound soundex sox speech speechd speex spell splash sql sqlite srt sse sse2 sse4.1 ssee3 ssl ssse3 startup-notification stlport stream subtitles subversion svg svgz symlink szip taglib tcpd teletext themes theora threads thumbnail thumbnails tiff tonal tordns totem trace tracker transcode truetype tslib tv twolame udev udev-acl udisks udisks2 unicode unsupported upnp upower usb v4l v4l2 vaapi vala vcd vcdinfo vcdx vdpau vdr vga vhook video visualization vlc vlm voice volctrl vorbis vorbis-psy vpx wav wavpack webkit webm wide-unicode wifi winbind windeco wma wma-fixed wxwidgets wxwindows x264 xattr xcb xcomposite xinerama xml xmlpatterns xmlreader xorgmodule xosd xrandr xscreensaver xulrunner xv xvid xvmc yaepg zip zlib zvbi" ALSA_CARDS="hda-intel" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="authn_core authz_core socache_shmcb unixd actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache cgi cgid dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" CALLIGRA_FEATURES="kexi words flow plan sheets stage tables krita karbon braindump" CAMERAS="agfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_dc1580 panasonic_l859 polaroid_pdc320 polaroid_pdc640 polaroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 digita directory enigma13 fuji gsmart300 hp215 iclick jamcam jd11 konica largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spion spca50x sq905 stv0674 stv0680 sx330z template" COLLECTD_PLUGINS="df interface irq load memory rrdtool swap syslog" DRACUT_MODULES="nfs" ELIBC="glibc" GPSD_PROTOCOLS="ashtech aivdm earthmate evermore fv18 garmin garmintxt gpsclock itrax mtk3301 nmea ntrip navcom oceanserver oldstyle oncore rtcm104v2 rtcm104v3 sirf superstar2 timing tsip tripmate tnt ubx" GRUB_PLATFORMS="pc" INPUT_DEVICES="evdev keyboard mouse synaptics" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LIBREOFFICE_EXTENSIONS="presenter-console presenter-minimizer" LINGUAS="de" LIRC_DEVICES="devinput" PHP_TARGETS="php5-3" PYTHON_SINGLE_TARGET="python2_7" PYTHON_TARGETS="python2_7 python3_1 python3_2" RUBY_TARGETS="ruby18 ruby19" USERLAND="GNU" VIDEO_CARDS="nvidia nv" XTABLES_ADDONS="quota2 psd pknock lscan length2 ipv4options ipset ipp2p iface geoip fuzzy condition tee tarpit sysrq steal rawnat logmark ipmark dhcpmac delude chaos account"
Unset:  CPPFLAGS, CTARGET, INSTALL_MASK, LC_ALL, PORTAGE_BUNZIP2_COMMAND, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS, USE_PYTHON
Comment 2 Brian Dolbec gentoo-dev 2012-12-19 23:53:41 UTC
mirrorselect has not been ported to the new python-r1 eclasses which do the python dependency setting via a python_taget use expand variable.

the mirrorselect ebuild has:

RESTRICT_PYTHON_ABIS="2.[45] 3.1"

the python.eclass is suppose to set the python dependency.  In this case restricting it from installing to python-3.1.


I'm not sure what to do for this, short of migrating it to the new eclasses.
Comment 3 Zac Medico gentoo-dev 2012-12-19 23:58:10 UTC
Maybe use python_convert_shebangs to hardcode the shebang to the latest supported version that's installed?

I'm not sure why anyone would set python3.1 as default interpreter these days though, when they could use python3.2 instead.
Comment 4 Mike Gilbert gentoo-dev 2012-12-20 00:00:54 UTC
python.eclass doesn't like it when you have the eselected python interpreter in RESTRICT_PYTHON_ABIS. This could probably be fixed in the eclass, but we are basically abandoning the entire eclass anyway.
Comment 5 Brian Dolbec gentoo-dev 2012-12-20 00:28:35 UTC
Well, after chatting with some others.  This is something that you should not be doing anyway.  

Don't set python-3.1 as the active version.  Upstream support has been discontinued, and there are a number of discrepancies which make it incompatible with 2.7, 3.2 and future versions.  Which is why I added the 3.1 restriction in the first place.  Testing showed that the some code was not compatible with 3.1 and it was not worth the effort to code around it for a dying python version.

The default active versions are py2=>2.7 and py3=>3.2, both of which are stable keyworded.

I am also going to wait till the next release before migrating the ebuild to the new python eclasses.  I did some extensive changes to the code so it is liable to have a couple bugs to fix, so it will likely be soon, after some more user testing.